<?php declare(strict_types=1);

namespace App\Dto\Service\Site\Repository;

use App\Dto\Service\Dto;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private bool    $isPublic,
        private ?string $description,
        private ?string $overview,
        private ?string $name = null,
    ) { }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function getOverview(): ?string
    {
        return $this->overview;
    }

    public function isPublic(): bool
    {
        return $this->isPublic;
    }

    public function getName(): ?string
    {
        return $this->name;
    }
}
