<?php declare(strict_types=1);

namespace App\Http\Requests\Site\Repositories;

use App\Contracts\FormRequestDto;
use App\Dto\Service\Site\Repository\Repositories;
use Illuminate\Foundation\Http\FormRequest;

final class RepositoriesRequest extends FormRequest implements FormRequestDto
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'page' => ['nullable', 'numeric', 'min:1']
        ];
    }

    public function getDto(): Repositories
    {
        return new Repositories(
            page: (int) $this->input('page', 1)
        );
    }
}
