<?php declare(strict_types=1);

namespace App\Http\Resources\Site\AccessTokens;

use App\ServiceResults\Site\AccessTokenService\StoreTokenResult;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

final class Store extends JsonResource
{
    /**
     * @var StoreTokenResult
     */
    public $resource;

    public function toArray(Request $request): array
    {
        return [
            'name'       => $this->resource->getName(),
            'permission' => $this->resource->getPermission()->getTitle(),
            'token'      => $this->resource->getToken(),
        ];
    }
}
