@section('meta_title', __('site.profile_repositories :username', ['username' => $pageUser->username]))
<x-layout.site>

    <div class="block-profile">
        <h1>{{ $pageUser->username }}</h1>
        <div class="block-profile__line">{{ __('site.Name') }} <i>{{ $pageUser->name }}</i></div>
        <div class="block-profile__line">{{ __('site.Joined :date', ['date' => $pageUser->updated_at->isoFormat('LL')]) }}</div>
    </div>

    <div class="content-repositories">
        <div class="h1">
            {{ __('site.Repositories') }}
            @can('create', [\App\Models\Repository::class, $pageUser])
                <a href="{{ route('repository.create', ['username' => $pageUser->username]) }}" class="button button__create">{{ __('site.Create repository') }}</a>
            @endcan
        </div>
        <div class="content-repositories__list">
            @foreach($repositories as $repository)
                <a class="content-repositories__list__item" href="{{ route('repository.view', ['repository_name' => $repository->name, 'username' => $repository->user->username]) }}">
                    <span class="content-repositories__list__item__head">
                        <span><strong>{{ $repository->repository }}</strong></span>
                        <span class="quantity_pulls">@abbreviate_int($repository->quantity_pulls)</span>
                    </span>
                    <span class="content-repositories__list__item__line">
                        <span class="content-repositories__list__item__username">{{ __('by') }} <strong>{{ $repository->user->username }}</strong></span>
                        <span class="dot">•</span>
                        <span class="content-repositories__list__item__updated">{{ __('site.Updated :date', ['date' => $repository->updated_at->diffForHumans()]) }}</span>
                    </span>
                    <span class="content-repositories__list__item__line">
                        {{ $repository->description }}
                    </span>
                </a>
            @endforeach
        </div>
        {{ $repositories->links() }}
    </div>
</x-layout.site>
